function procolumns(id) {
  return {
    columns: [
      {
        title: '推送流程',
        dataIndex: 'sendProcessName',
        key: 'sendProcess',
        hideInSearch: true,
        valueType: 'select',
        colProps: { span: 6 },

        options: [
          { label: '一级通知', value: 1 },
          { label: '二级通知', value: 2 },
          { label: '三级通知', value: 3 },
          { label: '四级通知', value: 4 },
        ],
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },
      {
        title: '推送对象',
        dataIndex: 'sendToName',
        colProps: { span: 6 },
        key: 'sendTo',
        hideInSearch: true,
        valueType: 'select',
        options: [
          { label: '可指定人员', value: 2 },
          { label: '（上个通知人员）上级领导', value: 5 },
          { label: '创建人', value: 3 },
          { label: '选择角色', value: 6 },
          { label: '选择人员', value: 7 },
        ],
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },
      {
        title: '选择对象',
        colProps: { span: 6 },
        dataIndex: 'targetNames',
        hideInTable: true,
        hideInSearch: true,
        key: 'targetIdList',
        valueType: 'select',
        fieldProps: {
          mode: 'multiple',
        },
        options: {
          path: '/auth/sysRole/selection',
        },
        hideInForm: {
          sendTo: {
            reverse: [6], //不在数组内满足则hide
          },
        },
      },
      {
        title: '选择对象',
        colProps: { span: 6 },
        dataIndex: 'targetNames',
        hideInSearch: true,
        hideInTable: true,
        valueType: 'select',
        options: {
          path: '/auth/sysUser/selection',
        },
        key: 'targetIdList',
        fieldProps: {
          mode: 'multiple',
        },
        hideInForm: {
          sendTo: {
            reverse: [7], //不在数组内满足则hide
          },
        },
      },
      {
        title: '选择对象',
        dataIndex: 'targetNames',
        hideInSearch: true,
        hideInForm: true,
      },
      {
        colProps: { span: 6 },
        title: '触发次数',
        dataIndex: 'sendNum',
        key: 'sendNum',
        valueType: 'digit',
        precision: 0,
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
        hideInSearch: true,
      },
      {
        title: '初始触发时长',
        dataIndex: 'initialTime',
        hideInSearch: true,
        key: 'initialTime',
        valueType: 'digit',
        precision: 0,
        colProps: { span: 6 },
      },
      {
        title: '初始触发时长单位',
        colProps: { span: 6 },
        dataIndex: 'initialUnitName',
        hideInSearch: true,
        key: 'initialUnit',
        valueType: 'select',
        options: [
          { label: '分钟', value: 1 },
          { label: '小时', value: 2 },
          { label: '天', value: 3 },
        ],
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },

      {
        title: '间隔时长',
        dataIndex: 'intervalTime',
        colProps: { span: 6 },
        valueType: 'digit',
        precision: 0,
        key: 'intervalTime',
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
        valueType: 'digit',
        hideInSearch: true,
      },
      {
        title: '间隔时长单位',
        dataIndex: 'intervalUnitName',
        key: 'intervalUnit',
        hideInSearch: true,
        colProps: { span: 6 },
        valueType: 'select',
        options: [
          { label: '分钟', value: 1 },
          { label: '小时', value: 2 },
          { label: '天', value: 3 },
        ],
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },
    ],
    pathconfig: {
      enableadd: true,
      enableedit: true,
      enabledelete: true,
      enabledetail: false,
      add: '/base/paBusinessMsgOptionDetail/save',
      edit: '/base/paBusinessMsgOptionDetail/save',
      list: '/base/paBusinessMsgOptionDetail/queryList',
      delete: '/base/paBusinessMsgOptionDetail/deleteById',
      detail: '/base/paBusinessMsgOptionDetail/queryById',
    },
  };
}
export default procolumns;
